> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hackgate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apisitesaddhacker



## OpenAPI

````yaml https://api-admin.hackgate.io/swagger/v2/swagger.json post /api/Sites/addHacker
openapi: 3.0.1
info:
  title: HackGATE Admin API
  description: API for the HackGATE Admin Center and organization API key integrations.
  version: v2
servers: []
security:
  - Bearer: []
paths:
  /api/Sites/addHacker:
    post:
      tags:
        - Sites
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HackerDTO'
          text/json:
            schema:
              $ref: '#/components/schemas/HackerDTO'
          application/*+json:
            schema:
              $ref: '#/components/schemas/HackerDTO'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HackerList'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HackerList'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HackerList'
components:
  schemas:
    HackerDTO:
      type: object
      properties:
        siteId:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        id:
          type: string
          nullable: true
      additionalProperties: false
    HackerList:
      required:
        - email
        - siteId
      type: object
      properties:
        id:
          type: string
          nullable: true
        siteId:
          minLength: 1
          type: string
        site:
          $ref: '#/components/schemas/Site'
        email:
          minLength: 1
          type: string
      additionalProperties: false
    Site:
      type: object
      properties:
        id:
          type: string
          nullable: true
        originName:
          type: string
          nullable: true
        hackgatedName:
          type: string
          nullable: true
        isActive:
          type: boolean
        orgId:
          type: string
          nullable: true
        cretedByUserId:
          type: string
          nullable: true
        creationdDate:
          type: string
          format: date-time
        hasCustomList:
          type: boolean
        isDeploymentProgress:
          type: boolean
        startDate:
          type: string
          format: date-time
        stopDate:
          type: string
          format: date-time
        credentials:
          type: string
          nullable: true
        instructions:
          type: string
          nullable: true
        rateLimit:
          type: string
          nullable: true
        blockList:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Authorization header using the Bearer scheme. Use either a Clerk JWT
        from the Admin Center frontend or a Clerk Organization API key.


        Examples:

        Bearer eyJhbGciOi...

        Bearer ak_live_...
      scheme: bearer
      bearerFormat: JWT or Clerk API Key

````